Summary: Benchmarking authorative and recursing DNS servers
Name: dnsperf
Version: 2.0.0.0
Release: 2%{?dist}
License: MIT
Url: http://www.nominum.com/resources/measurement-tools
Source: ftp://ftp.nominum.com/pub/nominum/dnsperf/%{version}/dnsperf-src-%{version}-1.tar.gz
Source2: bind9-hmacsha.h
Source3: queryfile-example-10million-201202
Patch1: dnsperf-usage.patch
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: bind-devel >= 9.3.0, libcap-devel, bzip2, openssl-devel
BuildRequires: krb5-devel, libxml2-devel
Requires: gnuplot pcapy python-dns

%description
This is dnsperf, a collection of DNS server performance testing tools.
For more information, see the dnsperf(1) and resperf(1) man pages.

%prep
%setup -q -n dnsperf-src-%{version}-1
%patch1 -p1
cp %{SOURCE2} hmacsha.h
%configure 
sed -i "s/<isc\/hmacsha.h>/\"hmacsha.h\"/" dns.c

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS -I/usr/include/bind9 -I." %{?_smp_mflags}

%install
rm -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
install contrib/queryparse/queryparse %{buildroot}/%{_bindir}
install -D -m 644 %{SOURCE3} %{buildroot}%{_datadir}/%{name}/queryfile-example-current
install -D -m 644 contrib/queryparse/queryparse.1 %{buildroot}/%{_mandir}/man1/queryparse.1
gzip %{buildroot}/%{_mandir}/man1/queryparse.1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root,-)
%doc README RELEASE_NOTES
%{_bindir}/*
%{_mandir}/*/*
%dir %{_datadir}/dnsperf
%{_datadir}/dnsperf/queryfile-example-current

%changelog
* Thu Jun 28 2012 Paul Wouters <pwouters@redhat.com> - 2.0.0.0-2
- rebuilt for new bind

* Wed Apr 18 2012 Paul Wouters <pwouters@redhat.com> - 2.0.0.0-1
- Upgraded to 2.0.0.0
- Fixup of URLs
- Add pointer to sample query file in usage info
- Added current query sample file as old example has been removed
- Pulled in missing bind-9.8.x/9.9.x version of hmacsha.h
- Removed doc/*pdf files, as their license might mean non-free

* Tue May 24 2011 Paul Wouters <paul@xelerance.com> - 1.0.1.0-15
- Rebuilt for newer bind

* Thu Mar 18 2010 Paul Wouters <paul@xelerance.com> - 1.0.1.0-14
- Rebuilt for new bind

* Mon Nov 30 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-13
- Rebuilt against updated bind

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.0.1.0-12
- Rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-10
- rebuild again

* Wed Jun 17 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-9
- rebuild against new bind-libs

* Mon Mar 30 2009 Adam Tkac <atkac redhat com> - 1.0.1.0-8
- rebuild against new bind-libs

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> - 1.0.1.0-6
- rebuild with new openssl
- seems to require libxml2-devel to build now

* Mon Nov 10 2008 Adam Tkac <atkac redhat com> - 1.0.1.0-5
- rebuild against new bind-libs

* Wed Oct 31 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-4
- Changed license from BSD to MIT

* Wed Oct 22 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-3
- Fixed missing buildrequires
- Pass proper CFLAGS to gcc
- Fix Group

* Tue Oct 21 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-2
- Fixed libpcap vs libcap confusion

* Mon Oct 20 2008 Paul Wouters <paul@xelerance.com> - 1.0.1.0-1
- Initial Fedora package
